# [OmniOS-discuss] Crashing qemu process

Filip Marvan filip.marvan at aira.cz
Fri Oct 17 07:39:21 UTC 2014

- Previous message: [OmniOS-discuss] Crashing qemu process
- Next message: [OmniOS-discuss] Please "pkg update" to get OpenSSL 1.0.1j
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    Just for any other who will face similar problems in future, I found, that
    problem was probably caused by virtio disk interface type.
    If I change:

    -drive file=$HDD,if=virtio,cache=none,aio=native,index=0 \

    for

    -drive file=$HDD,if=ide,index=1,cache=none,aio=native,index=0 \

    everything works great.

    Filip

    -----Original Message-----
    From: Filip Marvan
    Sent: Wednesday, October 15, 2014 8:44 PM
    To: 'Dan McDonald'
    Cc: omnios-discuss at lists.omniti.com
    Subject: RE: [OmniOS-discuss] Crashing qemu process

    Hi Dan,

    yes, you are right, I'm sorry.
    Here are more detailed informations from core dump.

    root at omnikvm:/# mdb core
    Loading modules: [ libc.so.1 ld.so.1 ]
    > ::status
    debugging core file of qemu-system-x86 (64-bit) from omnikvm
    file: /usr/bin/qemu-system-x86_64
    initial argv: /usr/bin/qemu-system-x86_64 -d exec -name VPS -boot c
    -enable-kvm -vnc 0.0 threading model: native threads
    status: process terminated by SIGSEGV (Segmentation Fault), addr=0
    > $C
    fffffd7fffdf8ee0 qemu_del_timer+0x10()
    fffffd7fffdf8f20 qemu_mod_timer+0x24()
    fffffd7fffdf8f60 virtio_net_handle_tx_timer+0xef()
    fffffd7fffdf8fa0 virtio_net_rein_tick+0x15d()
    fffffd7fffdf8ff0 qemu_run_timers+0xb0()
    fffffd7fffdf9000 qemu_run_all_timers+0x51()
    fffffd7fffdff090 main_loop_wait+0x480()
    fffffd7fffdff0c0 kvm_main_loop+0x119()
    fffffd7fffdff0e0 main_loop+0x17()
    fffffd7fffdff420 main+0x2da4()
    fffffd7fffdff430 _start+0x6c()

    And pstack core is here: http://pastebin.com/P1yfJWwh

    I'm using freshly installed OmniOS r151012 Thank you for any help.

    Filip

    -------------- next part --------------
    A non-text attachment was scrubbed...
    Name: smime.p7s
    Type: application/pkcs7-signature
    Size: 6247 bytes
    Desc: not available
    URL: <http://lists.omniti.com/pipermail/omnios-discuss/attachments/20141017/67edab44/attachment-0001.bin>

- Previous message: [OmniOS-discuss] Crashing qemu process
- Next message: [OmniOS-discuss] Please "pkg update" to get OpenSSL 1.0.1j
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list